curl --request GET \
--url https://api.extole.io/v6/jobs/{jobId}/triggers/{triggerId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v6/jobs/{jobId}/triggers/{triggerId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v6/jobs/{jobId}/triggers/{triggerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.extole.io/v6/jobs/{jobId}/triggers/{triggerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.extole.io/v6/jobs/{jobId}/triggers/{triggerId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.extole.io/v6/jobs/{jobId}/triggers/{triggerId}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.extole.io/v6/jobs/{jobId}/triggers/{triggerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"component_ids": [
"<string>"
],
"component_references": [
{
"component_id": "<string>",
"socket_names": [
"<string>"
]
}
],
"enabled": true,
"id": "<string>",
"parent_job_id": "<string>",
"trigger_type": "FILE_NAME_MATCHES",
"directory_path": "<string>",
"match_type": "EXACT",
"pattern": "<string>",
"sftp_destination_id": "<string>"
}Get a trigger
Returns the trigger for the specified id.
curl --request GET \
--url https://api.extole.io/v6/jobs/{jobId}/triggers/{triggerId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v6/jobs/{jobId}/triggers/{triggerId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v6/jobs/{jobId}/triggers/{triggerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.extole.io/v6/jobs/{jobId}/triggers/{triggerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.extole.io/v6/jobs/{jobId}/triggers/{triggerId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.extole.io/v6/jobs/{jobId}/triggers/{triggerId}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.extole.io/v6/jobs/{jobId}/triggers/{triggerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"component_ids": [
"<string>"
],
"component_references": [
{
"component_id": "<string>",
"socket_names": [
"<string>"
]
}
],
"enabled": true,
"id": "<string>",
"parent_job_id": "<string>",
"trigger_type": "FILE_NAME_MATCHES",
"directory_path": "<string>",
"match_type": "EXACT",
"pattern": "<string>",
"sftp_destination_id": "<string>"
}Path Parameters
Response
Successful response
- FILE_NAME_MATCHES
- LANDS_IN_DIRECTORY
Stored trigger definition. Field enabled is unevaluated and appears in buildtime-evaluatable form.
Whether this trigger takes part in deciding when the job runs, as the buildtime expression or literal that was saved. Buildtime expressions use JobBuildtimeContext.
Id of the job this trigger belongs to, as the buildtime expression or literal that was saved. Buildtime expressions use JobBuildtimeContext.
Optional directory path prefix to match. Buildtime expressions use JobBuildtimeContext.
How the pattern is matched against filenames. A literal value or a buildtime expression resolved from component references when the trigger is saved. Buildtime expressions use JobBuildtimeContext.
EXACT, REGEX Filename pattern to match. A literal value or a buildtime expression resolved from component references when the trigger is saved. Buildtime expressions use JobBuildtimeContext.
Optional SFTP destination id to match. Buildtime expressions use JobBuildtimeContext.
Was this page helpful?
